Bug 123030 - CAN-2004-0183/0184 tcpdump ISAKMP crash
CAN-2004-0183/0184 tcpdump ISAKMP crash
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: tcpdump (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 11:24 EDT by Harald Hoyer
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 03:47:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:219 low SHIPPED_LIVE Low: tcpdump security update 2004-05-26 00:00:00 EDT

  None (edit)
Description Harald Hoyer 2004-05-11 11:24:00 EDT
TCPDUMP v3.8.1 and earlier versions contain multiple flaws in the
packet display functions for the ISAKMP protocol.  Upon receiving
specially crafted ISAKMP packets, TCPDUMP will try to read beyond
the end of the packet capture buffer and crash.

This is a low-risk vulnerability, therefore this will get fixed in our
next tcpdump updates.

tcpdump 3.8.2/.3 came out on Mar30 to fix these issues

        CAN-2004-0183/84 Affects: 3AS 3WS 3ES
        CAN-2004-0183/84 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
Comment 1 Harald Hoyer 2004-05-11 11:24:30 EDT
original bug #120022
Comment 2 Mark J. Cox 2004-05-26 03:47:27 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-219.html

Note You need to log in before you can comment on or make changes to this bug.